Module | Sequel::Firebird::DatasetMethods
In: | lib/sequel/adapters/shared/firebird.rb

### Methods

insert insert_select requires_sql_standard_datetimes? supports_insert_select? supports_intersect_except?

### Constants

BOOL_TRUE | = | '1'.freeze
BOOL_FALSE | = | '0'.freeze
NULL | = | LiteralString.new('NULL').freeze
SELECT_CLAUSE_METHODS | = | Dataset.clause_methods(:select, %w'with select distinct limit columns from join where group having compounds order')
INSERT_CLAUSE_METHODS | = | Dataset.clause_methods(:insert, %w'insert into columns values returning')
FIRST | = | " FIRST ".freeze
SKIP | = | " SKIP ".freeze

### Public Instance methods

insert(*values)

Insert given values into the database.

[Source]

         # File lib/sequel/adapters/shared/firebird.rb, line 161
    161:       def insert(*values)
    162:         if @opts[:sql] || @opts[:returning]
    163:           super
    164:         else
    165:           returning(insert_pk).insert(*values){|r| return r.values.first}
    166:         end
    167:       end

insert_select(*values)

Insert a record returning the record inserted

[Source]

         # File lib/sequel/adapters/shared/firebird.rb, line 170
    170:       def insert_select(*values)
    171:         returning.insert(*values){|r| return r}
    172:       end

requires_sql_standard_datetimes?()

[Source]

         # File lib/sequel/adapters/shared/firebird.rb, line 174
    174:       def requires_sql_standard_datetimes?
    175:         true
    176:       end

supports_insert_select?()

[Source]

         # File lib/sequel/adapters/shared/firebird.rb, line 178
    178:       def supports_insert_select?
    179:         true
    180:       end

supports_intersect_except?()

Firebird does not support INTERSECT or EXCEPT

[Source]

         # File lib/sequel/adapters/shared/firebird.rb, line 183
    183:       def supports_intersect_except?
    184:         false
    185:       end

[Validate]